"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.EventType = exports.RetryPolicy = exports.DataDeliveryFormat = exports.DataSourceType = void 0;
//
// The Subscription type describes an Avaya Cloud data subscription. A subscription is scoped to the
// sub account identified in the session.
//
var DataSourceType;
(function (DataSourceType) {
    DataSourceType["ECH"] = "ECH";
    DataSourceType["HAgLog"] = "HAGLOG";
    DataSourceType["HAgent"] = "HAGENT";
    DataSourceType["RtAgentState"] = "RT_AGENT_STATE";
    DataSourceType["RtDidState"] = "RT_DID_STATE";
    DataSourceType["RtSkillState"] = "RT_SKILL_STATE";
    DataSourceType["RtVdnState"] = "RT_VDN_STATE";
    DataSourceType["RealTimeFeed"] = "REAL_TIME_FEED";
})(DataSourceType = exports.DataSourceType || (exports.DataSourceType = {}));
var DataDeliveryFormat;
(function (DataDeliveryFormat) {
    DataDeliveryFormat["Csv"] = "CSV";
    DataDeliveryFormat["Json"] = "JSON";
})(DataDeliveryFormat = exports.DataDeliveryFormat || (exports.DataDeliveryFormat = {}));
var RetryPolicy;
(function (RetryPolicy) {
    RetryPolicy["Default"] = "DEFAULT";
})(RetryPolicy = exports.RetryPolicy || (exports.RetryPolicy = {}));
var EventType;
(function (EventType) {
    EventType["Historical"] = "HISTORICAL";
    EventType["Realtime"] = "REALTIME";
})(EventType = exports.EventType || (exports.EventType = {}));
//# sourceMappingURL=Subscription.js.map