import { RestClient } from './RestClient';
export declare class AUXCodeClient {
    private restClient;
    private subAccountId;
    constructor(subAccountId: string, restClient: RestClient);
    getAuxCodes(): Promise<any>;
    getEffectiveAuxCodes(): Promise<any>;
    getAUXCodesForEffectiveAppId(): Promise<any>;
}
export declare function createAUXCodeClient(endpoint: string, apiKey: string): Promise<AUXCodeClient>;
