"use strict";
/**
 * @hidden
 * @ignore
 * @internal
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.ADDRESS_BOOK_PATH = exports.SKILL_TYPE_AGENT = exports.DEFAULT_SKILL_PRIORITY = exports.DEFAULT_SKILL_NAME = exports.FETCH_AUX_CODE_WITH_SUBACCOUNT_APP_ID = exports.FETCH_EFFECTIVE_AUX_CODES = exports.FETCH_AUX_CODES = exports.FETCH_AUXCODE_BASE = exports.MAX_RETRY = exports.INTERVAL_IN_MILLIS = exports.EMPTY_STRING = exports.REPLACE_REGEX = exports.AGENT_SKILL_KEY = exports.AGENT_LASTNAME_KEY = exports.AGENT_FIRSTNAME_KEY = exports.AGENT_PASSWORD_KEY = exports.AGENT_USERNAME_KEY = exports.API_KEY = exports.ENDPOINT_KEY = exports.QUESTION_MARK = exports.SUB_ACCOUNT_KEY = exports.SLASH = exports.SUBSCRIPTION_PATH = exports.VERSION = exports.FETCH_AGENT_ID_PATH = exports.FETCH_AGENT_BY_USERNAME_PATH = exports.REMOVE_AGENT_PATH = exports.NUMBER_PATH = exports.EXTENSION_PATH = exports.FETCH_SKILL_ID_PATH = exports.SKILLV2_PATH = exports.AGENT_JOB_PATH = exports.STATION_GROUP_PATH = exports.USER_PATH = exports.AGENT_LAST_NAME = exports.AGENT_FIRST_NAME = exports.log4js = exports.tough = exports.axiosCookieJarSupport = exports.axios = exports.jwt = exports.lodash = void 0;
/**
 * This comment and the above tags will tell typedoc to ignore the whole module.
 */
exports.lodash = require('lodash');
exports.jwt = require('jsonwebtoken');
exports.axios = require('axios').default;
exports.axiosCookieJarSupport = require('@3846masa/axios-cookiejar-support')
    .default;
exports.tough = require('tough-cookie');
exports.log4js = require('@log4js-node/log4js-api');
exports.AGENT_FIRST_NAME = 'generated';
exports.AGENT_LAST_NAME = 'agent';
exports.USER_PATH = 'user';
exports.STATION_GROUP_PATH = 'spokenAbc/v2/sub-accounts/{subAccountAppId}/agentStationGroups';
exports.AGENT_JOB_PATH = 'spokenAbc/jobs/agents/v3';
exports.SKILLV2_PATH = 'spokenAbc/skillsv2';
exports.FETCH_SKILL_ID_PATH = `${exports.SKILLV2_PATH}?subAccountAppId=`;
exports.EXTENSION_PATH = 'spokenAbc/extensions/next';
exports.NUMBER_PATH = 'spokenAbc/numbers/next';
exports.REMOVE_AGENT_PATH = 'spokenAbc/agents/removeAgent';
exports.FETCH_AGENT_BY_USERNAME_PATH = 'spokenAbc/agents/username';
exports.FETCH_AGENT_ID_PATH = 'spokenAbc/agents/loginId';
exports.VERSION = '1.0';
exports.SUBSCRIPTION_PATH = 'spokenAbc/subscriptions/v' + exports.VERSION + '/subscriptions';
exports.SLASH = '/';
exports.SUB_ACCOUNT_KEY = 'subAccountAppId';
exports.QUESTION_MARK = '?';
exports.ENDPOINT_KEY = 'endpoint';
exports.API_KEY = 'api_key';
exports.AGENT_USERNAME_KEY = 'agent_username';
exports.AGENT_PASSWORD_KEY = 'agent_password';
exports.AGENT_FIRSTNAME_KEY = 'agent_firstname';
exports.AGENT_LASTNAME_KEY = 'agent_lastname';
exports.AGENT_SKILL_KEY = 'agent_skill';
exports.REPLACE_REGEX = /'/g;
exports.EMPTY_STRING = '';
// ten seconds
exports.INTERVAL_IN_MILLIS = 10000;
exports.MAX_RETRY = 5;
// aux code
exports.FETCH_AUXCODE_BASE = 'spokenAbc/clients';
exports.FETCH_AUX_CODES = 'auxCodes';
exports.FETCH_EFFECTIVE_AUX_CODES = 'auxCodes';
exports.FETCH_AUX_CODE_WITH_SUBACCOUNT_APP_ID = 'auxCodes/effective-appId';
// default skill name
exports.DEFAULT_SKILL_NAME = 'DEFAULT_SKILL';
exports.DEFAULT_SKILL_PRIORITY = 3;
exports.SKILL_TYPE_AGENT = 'AGENT';
// AC/AddressBookController URI
exports.ADDRESS_BOOK_PATH = 'spokenAbc/contact/v1/addressBook/';
//# sourceMappingURL=Constants.js.map